# Interface IDuringQueryEventArgs

## Index

### Properties

- promise
- query
- queryBuilder
- searchAsYouType

## Properties

### promise

promise: Promise<IQueryResults>

- Defined in events/QueryEvents.ts :75

### query

query: IQuery

- Defined in events/QueryEvents.ts :71

### queryBuilder

queryBuilder: QueryBuilder

- Defined in events/QueryEvents.ts :67

### searchAsYouType

searchAsYouType: boolean

- Defined in events/QueryEvents.ts :79

### Hierarchy

- IDuringQueryEventArgs